Page MenuHomePhabricator

ShortUrl extension has an inconsistent license
Closed, ResolvedPublic

Description

According to ShortUrl.php, it is released under the "Modified BSD License".
The README file, however, states "GNU General Public Licence (GPL)".

Event Timeline

Ricordisamoa assigned this task to yuvipanda.
Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 12:17 PM

Assigned to @yuvipanda since he is the author of the initial commit that introduced the inconsistency.

Change 216543 had a related patch set uploaded (by Yuvipanda):
Make README reflect reality of LICENSEs

https://gerrit.wikimedia.org/r/216543

The source should win over the README.

Change 216543 merged by jenkins-bot:
Make README reflect reality of LICENSEs

https://gerrit.wikimedia.org/r/216543

yuvipanda closed this task as Resolved.Jun 7 2015, 7:00 PM

Is consistent now!

Ricordisamoa set Security to None.

Is consistent now!

You haven't got rid of me! T101655: Clarify ShortUrl's license

Ricordisamoa renamed this task from Inconsistent licensing to ShortUrl extension has an inconsistent license.Aug 14 2015, 8:19 PM